Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## de.ix.jspTutorial.database
Interface I_DatabaseGenericObject

All Known Implementing Classes:
  DatabaseGenericObject

public interface I_DatabaseGenericObject
extends I_DatabaseObject

Beschreibung eines Generischen Objekts für die Speicherung von Objekten in die Datenbank.

Version:
  $Id:$
Author:
  Peter Rossbach (pr@webapp.de)
See Also:
  `DatabaseGenericModifier`

Field Summary
`static java.lang.String` | `vcid` Version

Fields inherited from interface de.ix.jspTutorial.database.I_DatabaseObject
`vcid`

Method Summary
`void` | `clear()` Lösche alle Werte und Attribute
`java.lang.Object` | `clone()` Diese Methode erzeugt eine Kopie des Objektes.
`java.util.Enumeration` | `elements()` Diese Methode reicht die Methode elements an die zugrundeliegende Hashtable weiter.
`java.lang.Object` | `getValue(java.lang.String aKey)` Diese Methode liefert den assoziierten Wert des angegebenen Schlüssel aus dem internen Dictionary.
`java.util.Enumeration` | `keys()` Diese Methode reicht die Methode keys an die zugrundeliegende Hashtable weiter.
`void` | `putValue(java.lang.String aKey, java.lang.Object aValue)` Diese Methode registriert den angegeben Wert unter dem angegebenen Schlüssel im internen Dictionary.
`void` | `remove(java.lang.String aKey)` Diese Methode entfernt den angegebenen Schlüssel aus dem internen Dictionary.
`int` | `size()` Diese Methode reicht die Methode size an die zugrundeliegende Hashtable weiter.

Field Detail

### vcid

    public static final java.lang.String vcid

  Version

Method Detail

### putValue

    public void putValue(java.lang.String aKey,
                         java.lang.Object aValue)

  Diese Methode registriert den angegeben Wert unter dem angegebenen Schlüssel im internen Dictionary. Ist der Schlüssel bereits vorhanden, so wird der alte Wert überschrieben.
  Parameters:
    `aValue` - der Wert
    `aKey` - der Schlüssel

### getValue

    public java.lang.Object getValue(java.lang.String aKey)

  Diese Methode liefert den assoziierten Wert des angegebenen Schlüssel aus dem internen Dictionary. Ist der Schlüssel nicht vorhanden, so wird null zurueckgegeben.
  Parameters:
    `aKey` - der Schlüssel
  Returns:
    aValue der Wert

### remove

    public void remove(java.lang.String aKey)

  Diese Methode entfernt den angegebenen Schlüssel aus dem internen Dictionary.
  Parameters:
    `aKey` - der Schlüssel

### keys

    public java.util.Enumeration keys()

  Diese Methode reicht die Methode keys an die zugrundeliegende Hashtable weiter.
  Returns:
    Enumeration der Keys
  See Also:
    `Hashtable`

### elements

    public java.util.Enumeration elements()

  Diese Methode reicht die Methode elements an die zugrundeliegende Hashtable weiter.
  Returns:
    Enumeration der Keys
  See Also:
    `Hashtable`

### clear

    public void clear()

  Lösche alle Werte und Attribute

### size

    public int size()

  Diese Methode reicht die Methode size an die zugrundeliegende Hashtable weiter.
  Returns:
    Anzahl der Key/value-Paare
  See Also:
    `Hashtable`

### clone

    public java.lang.Object clone()

  Diese Methode erzeugt eine Kopie des Objektes.
  Overrides:
    clone in class java.lang.Object
  Returns:
    Kopie des Objektes

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

~ Das iX JSP Tutorial III - © 2000 by Peter Roßbach ~